%define module	XML-LibXML-XPathContext
%define name	perl-%{module}
%define version	0.06
%define	release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl interface to libxml2
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Patch0:		XML-LibXML-XPathContext-0.06-makefile.patch
Url:		http://search.cpan.org/dist/%{module}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildRequires:	libxml2-devel
BuildRequires:	glib2-devel
BuildRequires:	libgdome-devel
Requires:	libxml2

%description
Perl interface to libxml2's xmlXPathContext.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/XML/*
%{perl_vendorarch}/auto/*
%{_mandir}/*/*

%changelog
* Mon Aug 30 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.06-1mdk
- Initial MDK release, needed by perl-XML-XUpdate-LibXML.
